<?xml version="1.0" encoding="Shift_JIS"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:output method="text" encoding="Shift_JIS"/>

	<!-- CSV̍i -->
	<xsl:template match="/">

		<!-- sꂽeXg̊Tv -->
		<xsl:text>sꂽeXg̊Tv&#xd;&#xa;</xsl:text>
		<xsl:choose>
			<xsl:when test="count(/ResultsSession/ExecutedTestsDetails)=0">
				<xsl:text>sꂽeXgP[X܂BmFĂB&#xd;&#xa;</xsl:text>
				<xsl:text>ER\[r[āAeXgsĂ邱ƂmF܂B&#xd;&#xa;</xsl:text>
				<xsl:text>E|[g̐ݒŁu`FbNꂽt@CюsꂽeXg̊TvvɃ`FbNĂ邱ƂmF܂B&#xd;&#xa;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="/ResultsSession/ExecutedTestsDetails"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>&#xd;&#xa;</xsl:text>

		<!-- eXgP[X̎s̏ڍ -->
		<xsl:text>eXgP[X̎s̏ڍ&#xd;&#xa;</xsl:text>
		<xsl:choose>
			<xsl:when test="count(/ResultsSession/Exec/ExecViols)=0">
				<xsl:text>eXgP[X̎s̏ڍׂ܂B&#xd;&#xa;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="/ResultsSession/Exec/ExecViols"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>&#xd;&#xa;</xsl:text>

		<!-- JobW -->
		<xsl:text>JobW&#xd;&#xa;</xsl:text>
		<xsl:choose>
			<xsl:when test="count(/ResultsSession/Exec/Coverage/CvgStats)=0">
				<xsl:text>JobW܂B&#xd;&#xa;</xsl:text>
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="/ResultsSession/Exec/Coverage/Types"/>
			</xsl:otherwise>
		</xsl:choose>
		<xsl:text>&#xd;&#xa;</xsl:text>

	</xsl:template>


	<!-- sꂽeXg̊Tv -->
	<xsl:template match="/ResultsSession/ExecutedTestsDetails">
		<xsl:text>eXgP[X,,s,s&#xd;&#xa;</xsl:text>
		<xsl:for-each select=".//Test">
			<xsl:value-of select="@name"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@pass"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@fail"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@time"/>
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:for-each>
	</xsl:template>

	<!-- eXgP[X̎s̏ڍ -->
	<xsl:template match="/ResultsSession/Exec/ExecViols">
		<xsl:text>쐬,s̔t@C,s̔s,eXgΏۃt@C,eXgP[X,dvxx,JeS,bZ[W,p[^&#xd;&#xa;</xsl:text>
		<xsl:for-each select="./ExecViol">
			<xsl:value-of select="@auth"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@locFile"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@ln"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@sym"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@testName"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@sev"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="Thr/ThrPart/@clName"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="Thr/ThrPart/@prnMsg"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="@testParams"/>
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:for-each>
	</xsl:template>

	<!-- JobW -->
	<xsl:template match="/ResultsSession/Exec/Coverage/Types">
		<xsl:text>֐/t@C/tH_/vWFNg,t@CpX,</xsl:text>
		<xsl:for-each select=".//CvgType">
			<xsl:text>ԗ(</xsl:text>
			<xsl:value-of select="@dispCvg"/>
			<xsl:text>),</xsl:text>
		</xsl:for-each>

		<xsl:for-each select=".//CvgType">
			<xsl:text>(</xsl:text>
			<xsl:value-of select="@dispCvg"/>
			<xsl:text>),</xsl:text>
		</xsl:for-each>

		<xsl:for-each select=".//CvgType">
			<xsl:text>ԗ(</xsl:text>
			<xsl:value-of select="@dispCvg"/>
			<xsl:text>),</xsl:text>
		</xsl:for-each>

		<xsl:apply-templates select="/ResultsSession/Exec/Coverage/CvgStats"/>
	</xsl:template>
	
	<xsl:template match="/ResultsSession/Exec/Coverage/CvgStats">
		<xsl:text>&#xd;&#xa;</xsl:text>
		<xsl:for-each select=".//CvgInfo">
			<xsl:text>&quot;</xsl:text><xsl:value-of select="@elem"/><xsl:text>&quot;</xsl:text>
			<xsl:text>,</xsl:text>
                        <xsl:value-of select="@loc"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="translate(@num, &quot;;&quot;, &quot;,&quot;)"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="translate(@total, &quot;;&quot;, &quot;,&quot;)"/>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="translate(@val, &quot;;&quot;, &quot;,&quot;)"/>
			<xsl:text>&#xd;&#xa;</xsl:text>
		</xsl:for-each>
	</xsl:template>

</xsl:stylesheet>
